(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     79564,       1879]
NotebookOptionsPosition[     73777,       1782]
NotebookOutlinePosition[     74169,       1798]
CellTagsIndexPosition[     74126,       1795]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Assignment 1 Q4 solution ", "Section",
 CellChangeTimes->{{3.8975419016841927`*^9, 3.897541955245347*^9}, {
  3.8975419920745697`*^9, 3.897542022085484*^9}, {3.897542944575493*^9, 
  3.897542945634169*^9}},ExpressionUUID->"909aa525-afa3-43bf-8324-\
389e370d88ac"],

Cell["PHY 303 Quantum Mechanics, IISER Bhopal, (2023)", "Text",
 CellChangeTimes->{
  3.897542011198008*^9},ExpressionUUID->"6062c6de-f4ef-4bc0-bae3-\
91810c10ef98"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Set", " ", "parameters"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"a", ":=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m", ":=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Npts", ":=", "32"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Nfunctions", ":=", "45"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dx", ":=", 
     RowBox[{"a", "/", "Npts"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]", ":=", 
     RowBox[{"a", "/", "6"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.897542188738822*^9, 3.897542238294705*^9}, {
  3.8975422855359077`*^9, 3.897542291020465*^9}, {3.8975424809954767`*^9, 
  3.897542491314645*^9}, {3.8975429978601313`*^9, 3.8975430060043707`*^9}, {
  3.89978348869531*^9, 3.8997834887768927`*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"a74d62ce-7396-41cf-af32-dfe19fd4ef9e"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"x_", ",", "m_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      FractionBox["2", "a"], "]"}], 
     RowBox[{"Sin", "[", 
      FractionBox[
       RowBox[{"m", " ", "\[Pi]", " ", "x"}], "a"], "]"}]}]}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{
   "adjust", " ", "these", " ", "as", " ", "per", " ", "question", " ", "and",
     " ", "choices"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", "x_", "]"}], ":=", 
   RowBox[{"Exp", "[", 
    RowBox[{"-", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"x", "-", 
         RowBox[{"1", "/", "2"}]}], ")"}], "2"], 
      SuperscriptBox["\[Sigma]", "2"]]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8975421568001547`*^9, 3.897542185536036*^9}, {
  3.897542469462675*^9, 3.8975424705436087`*^9}, {3.897542951143223*^9, 
  3.897542994116078*^9}, {3.89754395647259*^9, 3.897543960111549*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"46e27967-4a0b-47bc-9e14-4afb7f22f828"],

Cell[CellGroupData[{

Cell["Part (a) Solution:", "Subsubsection",
 CellChangeTimes->{{3.897543431949048*^9, 
  3.89754344299746*^9}},ExpressionUUID->"5e9a829a-f809-459d-818a-\
92c79dde3b99"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"fdiscrete", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"0", ",", 
     RowBox[{"{", 
      RowBox[{"mm", ",", "1", ",", "Nfunctions"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fdiscretewithaxis", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"0", ",", 
     RowBox[{"{", 
      RowBox[{"mm", ",", "1", ",", "Nfunctions"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"mm", "=", "1"}], ",", 
    RowBox[{"mm", "<=", " ", "Nfunctions"}], ",", 
    RowBox[{"mm", "=", 
     RowBox[{"mm", "+", "1"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"fdiscrete", "[", 
       RowBox[{"[", "mm", "]"}], "]"}], "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"f", "[", 
         RowBox[{
          RowBox[{"nn", " ", "dx"}], ",", "mm"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"nn", ",", "0", ",", 
          RowBox[{"Npts", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
     RowBox[{
      RowBox[{"fdiscretewithaxis", "[", 
       RowBox[{"[", "mm", "]"}], "]"}], "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"nn", " ", "dx"}], ",", 
          RowBox[{"f", "[", 
           RowBox[{
            RowBox[{"nn", " ", "dx"}], ",", "mm"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"nn", ",", "0", ",", 
          RowBox[{"Npts", "-", "1"}]}], "}"}]}], "]"}]}], ";"}]}], 
   "\[IndentingNewLine]", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.8975422424453897`*^9, 3.897542260952319*^9}, {
  3.897542296856606*^9, 3.8975423888025*^9}, {3.8975424578576307`*^9, 
  3.89754247863818*^9}, {3.897542520356299*^9, 3.897542527131466*^9}, {
  3.897543703539147*^9, 3.897543719230682*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"6a566f6c-e5dc-4039-9415-236ee71c8719"],

Cell["\<\
(4 a) We can now draw a few of these functions into the same coordinate \
system . We seem to have enough points here to clearly recognize the function \
(i . e . the n = 1 state as Sin[\[Pi]x/a])\
\>", "Text",
 CellChangeTimes->{{3.899783068983676*^9, 
  3.899783159022655*^9}},ExpressionUUID->"c08c5813-72c4-463c-9131-\
ebb1f696881f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"discplot", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"fdiscretewithaxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ",", 
      RowBox[{"fdiscretewithaxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], ",", 
      RowBox[{"fdiscretewithaxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"AxesLabel", "->", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<x\>\"", ",", "Bold", ",", "16"}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<f[\!\(\*SubscriptBox[\(x\), \(k\)]\)]\>\"", ",", "Bold", ",", 
         "16"}], "]"}]}], "}"}]}], ",", 
    RowBox[{"PlotMarkers", "->", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", 
       RowBox[{"Scaled", "[", "0.03", "]"}]}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.897542327411399*^9, 3.897542328086128*^9}, {
   3.897542501564578*^9, 3.897542543308984*^9}, {3.897542582102004*^9, 
   3.897542618030909*^9}, {3.897542763765457*^9, 3.897542764956682*^9}, {
   3.8975430225437593`*^9, 3.8975430554060163`*^9}, 3.897543105439047*^9, {
   3.89754314033976*^9, 3.8975431480613003`*^9}, {3.897543337342852*^9, 
   3.89754336281312*^9}, {3.897543723563909*^9, 3.897543725778666*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"50001295-d4eb-4b7e-887e-ea07edc8a88f"],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.011000000000000001`],
      AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
       FormBox[
        StyleBox[
         GraphicsBox[
          {EdgeForm[None], DiskBox[{0, 0}]}],
         StripOnInput->False,
         GraphicsBoxOptions->{DefaultBaseStyle->Directive[
           PointSize[0.011000000000000001`], 
           RGBColor[0.368417, 0.506779, 0.709798], 
           AbsoluteThickness[1.6]]}],
        TraditionalForm], {0., 0.}, Automatic, Scaled[0.03]], CompressedData["

1:eJxTTMoPSmVmYGBQAGJGIGZiwAUW2K96qi9huu+gPYS/wX5r4YF7oSsuQvk7
7NVbf63icLsF5R+wn2pxu7oq8CGUf8Q+Ii7a3i70KZR/wl73850DmSovofwz
9gveeZ+ZsfUNlH8BSn+A0pfsr+mutj1Y+xHKv2Iv+bjjfdKFT1D+Nfv1dRLm
i758hvJv2P/54DJx3fMvUP4t+3SZQ8cMln+F8u/Ym7XGbQww/Abl37PvluI/
sbMFxn9gf9a6Pm3eAhj/IZr8IzT9j9HMf4Jm/1M09z1Dc/9zNP+9QPP/S7Tw
eYUWfq/RwvcNWvi/RYufd2jx9x4evwCudqFn
      "]]}, 
    {RGBColor[0.880722, 0.611041, 0.142051], PointSize[0.011000000000000001`],
      AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
       FormBox[
        StyleBox[
         GraphicsBox[
          {EdgeForm[None], PolygonBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}}]}],
         
         StripOnInput->False,
         GraphicsBoxOptions->{DefaultBaseStyle->Directive[
           PointSize[0.011000000000000001`], 
           RGBColor[0.880722, 0.611041, 0.142051], 
           AbsoluteThickness[1.6]]}],
        TraditionalForm], {0., 0.}, Automatic, Scaled[0.03]], CompressedData["

1:eJxTTMoPSmVmYGBQAGJGIGZiwAUW2G8tPHAvdMVFewh/g/1Ui9vVVYEPofwd
9rqf7xzIVHkJ5R+A0h+g9BF7yccd75MufILyT9j/+eAycd3zL1D+GXuz1riN
AYbfoPwL9met69PmLYDxL6HJX0HTfw3N/Bto9t9Cc98dNPffQ/PfA3tU/z+E
ye+H8B/B9EP5j2HmQ/lPYPZD+U9h7oPyn8HcD+U/h/kPyn8B8z+U/xJN/hWa
/tdo5r9Bs/8tmvveobn/Pdx/ALtepXk=
      "]]}, 
    {RGBColor[0.560181, 0.691569, 0.194885], PointSize[0.011000000000000001`],
      AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
       FormBox[
        StyleBox[
         GraphicsBox[
          {EdgeForm[None], PolygonBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}}]}],
         StripOnInput->False,
         GraphicsBoxOptions->{DefaultBaseStyle->Directive[
           PointSize[0.011000000000000001`], 
           RGBColor[0.560181, 0.691569, 0.194885], 
           AbsoluteThickness[1.6]]}],
        TraditionalForm], {0., 0.}, Automatic, Scaled[0.03]], CompressedData["

1:eJxTTMoPSmVmYGBQAGJGIGZiwAUW2Ku3/lrF4XbLHsLfYK/7+c6BTJWXUP4O
+2u6q20P1n6E8g/Y//ngMnHd8y9Q/hH7bin+EztbvkH5J+zNWuM2BhjC+Gfs
19dJmC/68hnKvwClP0DpS/YRcdH2dqFPofwr9lsLD9wLXXERyr9mv+qpvoTp
voP7Ifwb9lMtbldXBT6E8m/ZL3jnfWbG1jdQ/h17yccd75MufILy79mnyxw6
ZrD8K5T/wP6sdX3avAXfoPyHaPKP0PQ/RjP/CZr9T9Hc9wzN/c/R/PcCzf8v
0cLnFVr4vUYL3zdo4f8WLX7eocXfe3j8AgDcQabn
      "]]}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     StyleBox["\"x\"", Bold, 16, StripOnInput -> False], TraditionalForm], 
    FormBox[
     StyleBox[
     "\"f[\\!\\(\\*SubscriptBox[\\(x\\), \\(k\\)]\\)]\"", Bold, 16, 
      StripOnInput -> False], TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 0.96875}, {-1.4142135623730951`, 1.4142135623730951`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.897543342262734*^9, 3.897543363187626*^9}, 
   3.8975437270383863`*^9, 3.897543945265226*^9, 3.89754472136868*^9, 
   3.899783416959861*^9, 3.899783498355167*^9},
 CellLabel->"Out[51]=",ExpressionUUID->"5d7ff8f4-aa22-457f-b321-2a658d70c0a5"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Nsubsetfunctions", "=", "8"}], ";"}]], "Input",
 CellChangeTimes->{{3.8997835121579103`*^9, 3.899783520319969*^9}},
 CellLabel->"In[54]:=",ExpressionUUID->"1eee7f16-e6a2-4853-86a1-432748b73523"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"scalarproduct", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"0", ",", 
     RowBox[{"{", 
      RowBox[{"mm", ",", "1", ",", "Nsubsetfunctions"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Nsubsetfunctions"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"nn", "=", "1"}], ",", 
    RowBox[{"nn", "<=", " ", "Nsubsetfunctions"}], ",", 
    RowBox[{"nn", "=", 
     RowBox[{"nn", "+", "1"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"mm", "=", "1"}], ",", 
       RowBox[{"mm", "<=", " ", "Nsubsetfunctions"}], ",", 
       RowBox[{"mm", "=", 
        RowBox[{"mm", "+", "1"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"scalarproduct", "[", 
          RowBox[{"[", 
           RowBox[{"nn", ",", "mm"}], "]"}], "]"}], "=", 
         StyleBox[
          RowBox[{"Dot", "[", 
           RowBox[{
            RowBox[{"fdiscrete", "[", 
             RowBox[{"[", "nn", "]"}], "]"}], ",", 
            RowBox[{"fdiscrete", "[", 
             RowBox[{"[", "mm", "]"}], "]"}]}], "]"}],
          FontColor->RGBColor[1, 0, 0]]}], ";"}]}], "\[IndentingNewLine]", 
      "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.897543460497436*^9, 3.897543562158327*^9}, {
  3.897543593791986*^9, 3.8975436575424557`*^9}, {3.897543747031838*^9, 
  3.897543751651699*^9}, {3.899783516020006*^9, 3.899783518144743*^9}},
 CellLabel->"In[55]:=",ExpressionUUID->"73d760dd-4a43-4010-b867-e0e87481d31b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"N", "[", "scalarproduct", "]"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.897543761336439*^9, 3.8975437775603657`*^9}},
 CellLabel->"In[57]:=",ExpressionUUID->"153d0085-f639-4666-8051-fae2a8d60eee"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"32.`", "0.`", 
      RowBox[{"-", "8.881784197001252`*^-16"}], "0.`", "0.`", "0.`", 
      RowBox[{"-", "1.3322676295501878`*^-15"}], "0.`"},
     {"0.`", "32.`", "0.`", "0.`", "0.`", 
      RowBox[{"-", "8.881784197001252`*^-16"}], "0.`", "0.`"},
     {
      RowBox[{"-", "8.881784197001252`*^-16"}], "0.`", "32.`", "0.`", 
      "8.881784197001252`*^-16", "0.`", 
      RowBox[{"-", "2.220446049250313`*^-16"}], "0.`"},
     {"0.`", "0.`", "0.`", "32.`", "0.`", "0.`", "0.`", "0.`"},
     {"0.`", "0.`", "8.881784197001252`*^-16", "0.`", "32.`", "0.`", 
      "2.220446049250313`*^-16", "0.`"},
     {"0.`", 
      RowBox[{"-", "8.881784197001252`*^-16"}], "0.`", "0.`", "0.`", "32.`", 
      "0.`", "0.`"},
     {
      RowBox[{"-", "1.3322676295501878`*^-15"}], "0.`", 
      RowBox[{"-", "2.220446049250313`*^-16"}], "0.`", 
      "2.220446049250313`*^-16", "0.`", "32.`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "32.`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.897543754528181*^9, 3.897543777974126*^9}, 
   3.897543945295595*^9, 3.8975447272255697`*^9, 3.8997834169865503`*^9, 
   3.899783524519939*^9},
 CellLabel->
  "Out[57]//MatrixForm=",ExpressionUUID->"fea4e69d-4248-4dca-a01b-\
dfccb110294f"]
}, Open  ]],

Cell[TextData[{
 "(4 a) Above we have calculated all scalar products (f_n,f_m), and found \
that they are proportional to \\delta_{nm}. Note that the entries of size ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["10", 
    RowBox[{"-", "15"}]], TraditionalForm]],
  FormatType->TraditionalForm,ExpressionUUID->
  "0de03298-bc29-45e9-8a2d-0872c0ba7aa7"],
 "are rounding errors and can be considered zero. We do not get =1 on the \
diagonal, since we took the direct scalar product of the vector forming the \
discretised function, instead of a numerical integration. We can fix this by \
multiplying the Red dot product above by dx (to turn it into a \
\[OpenCurlyDoubleQuote]numerical integration\[CloseCurlyDoubleQuote]."
}], "Text",
 CellChangeTimes->{{3.899783068983676*^9, 
  3.899783356945423*^9}},ExpressionUUID->"945221ad-6d7c-45f7-b043-\
b927d4185965"],

Cell[CellGroupData[{

Cell[BoxData["dx"], "Input",
 CellChangeTimes->{{3.8997833617048063`*^9, 3.89978336190305*^9}},
 CellLabel->"In[58]:=",ExpressionUUID->"07a048ad-fdb8-467d-8b2f-9f3112cf5eb1"],

Cell[BoxData[
 FractionBox["1", "32"]], "Output",
 CellChangeTimes->{{3.899783362430533*^9, 3.8997833674450073`*^9}, 
   3.8997834170002537`*^9, 3.899783526885*^9},
 CellLabel->"Out[58]=",ExpressionUUID->"15b32f9e-51f0-4553-8725-57cb69407232"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"discplot", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"fdiscretewithaxis", "[", 
      RowBox[{"[", "25", "]"}], "]"}], "}"}], ",", 
    RowBox[{"AxesLabel", "->", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<x\>\"", ",", "Bold", ",", "16"}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<f[\!\(\*SubscriptBox[\(x\), \(k\)]\)]\>\"", ",", "Bold", ",", 
         "16"}], "]"}]}], "}"}]}], ",", 
    RowBox[{"PlotMarkers", "->", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", 
       RowBox[{"Scaled", "[", "0.03", "]"}]}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.899783393551888*^9, 3.899783393619171*^9}, {
  3.899783531613296*^9, 3.899783541604162*^9}},
 CellLabel->"In[61]:=",ExpressionUUID->"76325827-068c-44de-936d-d7a058de5cd9"],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`], 
    AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
      FormBox[
       StyleBox[
        GraphicsBox[
         {EdgeForm[None], DiskBox[{0, 0}]}],
        StripOnInput->False,
        GraphicsBoxOptions->{DefaultBaseStyle->Directive[
          PointSize[0.012833333333333334`], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]]}],
       TraditionalForm], {0., 0.}, Automatic, Scaled[0.03]], CompressedData["
1:eJxTTMoPSmVmYGBQAGJGIGZiwAUW2C94531mxtY39hD+Bnuz1riNAYbf9kP4
O+zX10mYL/ryGSp/wH6qxe3qqsCHUPkj9uqtv1ZxuN2C8k/YSz7ueJ904RNU
/Rn7bin+EztbYOZdgIp/gNKX7Fc91Zcw3XcQKn/FXvfznQOZKi+h/Gv26TKH
jhks/wpVf8P+zweXieuef4HK37KPiIu2twt9CpW/Y7+18MC90BUXofx79td0
V9serP0IVf/A/qx1fdq8Bd+g8g/R5B+h6X+MZv4TNPufornvGZr7n6P57wWa
/1+ihc8rtPB7jRa+b9DC/y1a/LxDi7/38PgFADbuqWc=
     "]]}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     StyleBox["\"x\"", Bold, 16, StripOnInput -> False], TraditionalForm], 
    FormBox[
     StyleBox[
     "\"f[\\!\\(\\*SubscriptBox[\\(x\\), \\(k\\)]\\)]\"", Bold, 16, 
      StripOnInput -> False], TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 0.96875}, {-1.4074037375263824`, 1.4142135623730951`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.899783395275373*^9, 3.899783417250451*^9}, 
   3.8997834764418373`*^9, {3.8997835274351177`*^9, 3.899783542238575*^9}},
 CellLabel->"Out[61]=",ExpressionUUID->"08707dc9-3cb5-424e-a0d9-8a2c6222f3bc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"discplot", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"fdiscretewithaxis", "[", 
      RowBox[{"[", "32", "]"}], "]"}], "}"}], ",", 
    RowBox[{"AxesLabel", "->", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<x\>\"", ",", "Bold", ",", "16"}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<f[\!\(\*SubscriptBox[\(x\), \(k\)]\)]\>\"", ",", "Bold", ",", 
         "16"}], "]"}]}], "}"}]}], ",", 
    RowBox[{"PlotMarkers", "->", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", 
       RowBox[{"Scaled", "[", "0.03", "]"}]}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.899783553926587*^9, 3.8997835547327757`*^9}},
 CellLabel->"In[62]:=",ExpressionUUID->"66bd76ad-ecce-4aa9-8512-e009cf06e811"],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`], 
    AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
      FormBox[
       StyleBox[
        GraphicsBox[
         {EdgeForm[None], DiskBox[{0, 0}]}],
        StripOnInput->False,
        GraphicsBoxOptions->{DefaultBaseStyle->Directive[
          PointSize[0.012833333333333334`], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]]}],
       TraditionalForm], {0., 0.}, Automatic, Scaled[0.03]], CompressedData["
1:eJx1xzsKQHAAgPE/LsJJ3MERlNmVHMFoNBgMBkmSJO/34wpMyle++oafZtqG
pQgh1GfpWRZ/OfrXLuzBPhzAIRzBMZzAKZzBOVzAJVzBNdzALdzBPTzAIzzB
M7zAK7zBO3zAJ3y9vgGtriPB
     "]]}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     StyleBox["\"x\"", Bold, 16, StripOnInput -> False], TraditionalForm], 
    FormBox[
     StyleBox[
     "\"f[\\!\\(\\*SubscriptBox[\\(x\\), \\(k\\)]\\)]\"", Bold, 16, 
      StripOnInput -> False], TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 0.96875}, {-1, 1}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.8997835551489563`*^9},
 CellLabel->"Out[62]=",ExpressionUUID->"3663c11c-683a-4987-8510-31cc7766934d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"discplot", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"fdiscretewithaxis", "[", 
      RowBox[{"[", "45", "]"}], "]"}], "}"}], ",", 
    RowBox[{"AxesLabel", "->", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<x\>\"", ",", "Bold", ",", "16"}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<f[\!\(\*SubscriptBox[\(x\), \(k\)]\)]\>\"", ",", "Bold", ",", 
         "16"}], "]"}]}], "}"}]}], ",", 
    RowBox[{"PlotMarkers", "->", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", 
       RowBox[{"Scaled", "[", "0.03", "]"}]}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.899783558566944*^9, 3.899783558686142*^9}},
 CellLabel->"In[63]:=",ExpressionUUID->"04317d50-e63e-4597-9214-47af544942c1"],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`], 
    AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
      FormBox[
       StyleBox[
        GraphicsBox[
         {EdgeForm[None], DiskBox[{0, 0}]}],
        StripOnInput->False,
        GraphicsBoxOptions->{DefaultBaseStyle->Directive[
          PointSize[0.012833333333333334`], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]]}],
       TraditionalForm], {0., 0.}, Automatic, Scaled[0.03]], CompressedData["
1:eJxTTMoPSmVmYGBQAGJGIGZiwAUW2KfLHDpmsPzrfgh/g73u5zsHMlVe2kP4
O+wXvPM+M2PrGyj/gP2fDy4T1z3/AlV/xH7VU30J030HofwT9matcRsDDL9B
1Z+xj4iLtrcLfQqVvwAV/wDlX7JfXydhvujLZ6j4FfuthQfuha64COVfs++W
4j+xs+UbVP0N+6kWt6urAh9C5W/ZX9NdbXuw9iOUf8de8nHH+6QLn6Dq79mr
t/5axeF2C8p/YH/Wuj5t3gKY+x6iyT9C0/8YzfwnaPY/RXPfMzT3P0fz3ws0
/79EC59XaOH3Gi1836CF/1u0+HmHFn/v4fELADbuqWc=
     "]]}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     StyleBox["\"x\"", Bold, 16, StripOnInput -> False], TraditionalForm], 
    FormBox[
     StyleBox[
     "\"f[\\!\\(\\*SubscriptBox[\\(x\\), \\(k\\)]\\)]\"", Bold, 16, 
      StripOnInput -> False], TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 0.96875}, {-1.4074037375263824`, 1.4142135623730951`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.899783558929418*^9},
 CellLabel->"Out[63]=",ExpressionUUID->"8ea732f2-7f74-40cc-8c3b-9dd1efc4960f"]
}, Open  ]],

Cell["\<\
Once the wavelength of the sines (\[Lambda]=2a/(n)) approaches the \
discretisation spacing dx, we can no longer properly recognise the functions \
, or get outright weird results (n=31) accidentally hits ONLY the zeros of \
that sine. We call these functions \[OpenCurlyDoubleQuote]undersampled\
\[CloseCurlyDoubleQuote].\
\>", "Text",
 CellChangeTimes->{{3.8975433888943644`*^9, 3.897543409956193*^9}, 
   3.897543625271391*^9, {3.89978356507509*^9, 
   3.8997836493083143`*^9}},ExpressionUUID->"38b1a126-d0fc-42c9-87c2-\
1b8563ca8e17"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Part (b) Solution:", "Subsubsection",
 CellChangeTimes->{{3.897543431949048*^9, 
  3.89754344996665*^9}},ExpressionUUID->"dac1638b-db04-4f5e-9676-\
c24b980ad6a9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"gdiscrete", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"nn", " ", "dx"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "0", ",", 
       RowBox[{"Npts", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
  RowBox[{"gdiscretewithaxis", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"nn", " ", "dx"}], ",", 
       RowBox[{"g", "[", 
        RowBox[{"nn", " ", "dx"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "0", ",", 
       RowBox[{"Npts", "-", "1"}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.897543880393468*^9, 3.897543927556527*^9}, {
  3.897544792120335*^9, 3.897544792648617*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"f3d9ae62-eced-4c13-b68d-8a252e76013b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"comparison", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{"gdiscrete", ",", 
    RowBox[{"AxesLabel", "->", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<x\>\"", ",", "Bold", ",", "16"}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<f[\!\(\*SubscriptBox[\(x\), \(k\)]\)]\>\"", ",", "Bold", ",", 
         "16"}], "]"}]}], "}"}]}], ",", 
    RowBox[{"PlotMarkers", "->", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", 
       RowBox[{"Scaled", "[", "0.03", "]"}]}], "}"}]}], ",", " ", 
    RowBox[{"Joined", "->", " ", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.897543910213751*^9, 3.897543913745366*^9}, {
   3.897545040622458*^9, 3.897545094604496*^9}, 3.897545133467016*^9},
 CellLabel->"In[19]:=",ExpressionUUID->"65be8610-38f3-467c-b6fa-cb51e1e91195"],

Cell[BoxData[
 GraphicsBox[{{}, {{{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.012833333333333334`], AbsoluteThickness[1.6], LineBox[CompressedData["

1:eJxTTMoPSmViYGBQAGIQDQEf7KNC1FQ/6SjYQwUcQuouyRjyWkD5HA7b3uYd
OboqAMoXcFAwm1nA1JEK5Ys4iHcJ8Bi8rYTyJRyWudeIZUr2QvkyDpEMpR9C
C+dB+QoOBfrzdvWvXwvlKzl8D2/pK/y9C8pXcajkcmIVvnMMyldzeMZlcySQ
9xKUr+HwR+FSre3kW1C+lkN32EGDldaPoHwdh7nPJ1SyBz2H8vUckqrnWoee
fQ3lGzik33z3keHpOyjf0AEWDhDaCE3eGE2/CZr5pmj2m6G5zxzN/RZo/rNE
878VWvhYo4WfDVr42qKFvx1a/NijxZ8DPH4ByIaBtA==
       "]]}}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
       FormBox[
        StyleBox[
         GraphicsBox[
          {EdgeForm[None], DiskBox[{0, 0}]}],
         StripOnInput->False,
         GraphicsBoxOptions->{DefaultBaseStyle->Directive[
           PointSize[0.012833333333333334`], 
           RGBColor[0.368417, 0.506779, 0.709798], 
           AbsoluteThickness[1.6]]}],
        TraditionalForm], {0., 0.}, Automatic, Scaled[0.03]], CompressedData["

1:eJxTTMoPSmVmYGBQAGJGIGZigIEP9lEhaqqfdBTsoQIOIXWXZAx5LaB8Dodt
b/OOHF0VAOULOCiYzSxg6kiF8kUcxLsEeAzeVkL5Eg7L3GvEMiV7oXwZh0iG
0g+hhfOgfAWHAv15u/rXr4XylRy+h7f0Ff7eBeWrOFRyObEK3zkG5as5POOy
ORLIewnK13D4o3Cp1nbyLShfy6E77KDBSutHUL6Ow9znEyrZg55D+XoOSdVz
rUPPvobyDRzSb777yPD0HZRv6AALBwhthCZvjKbfBM18UzT7zdDcZ47mfgs0
/1mi+d8KLXys0cLPBi18bdHC3w4tfuzR4s8BHr8A086Btg==
      "]]}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     StyleBox["\"x\"", Bold, 16, StripOnInput -> False], TraditionalForm], 
    FormBox[
     StyleBox[
     "\"f[\\!\\(\\*SubscriptBox[\\(x\\), \\(k\\)]\\)]\"", Bold, 16, 
      StripOnInput -> False], TraditionalForm]},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 32.}, {0, 1.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.897543914371751*^9, 3.8975439648577013`*^9}, 
   3.89754472947191*^9, 3.897544795030753*^9, {3.8975450483170033`*^9, 
   3.897545057592614*^9}, {3.897545090000031*^9, 3.897545095065959*^9}, 
   3.8975451339776*^9, 3.899783417286529*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"adc4d91d-809a-4b33-855a-0a90776c5ef2"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"fdiscretenorm", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"0", ",", 
     RowBox[{"{", 
      RowBox[{"mm", ",", "1", ",", "Nfunctions"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Nfunctions"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"mm", "=", "1"}], ",", 
    RowBox[{"mm", "<=", " ", "Nfunctions"}], ",", 
    RowBox[{"mm", "=", 
     RowBox[{"mm", "+", "1"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"normf", "=", 
      RowBox[{"Sum", "[", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"fdiscrete", "[", 
          RowBox[{"[", 
           RowBox[{"mm", ",", "nn"}], "]"}], "]"}], "2"], ",", 
        RowBox[{"{", 
         RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"fdiscretenorm", "[", 
       RowBox[{"[", "mm", "]"}], "]"}], "=", 
      RowBox[{
       RowBox[{"fdiscrete", "[", 
        RowBox[{"[", "mm", "]"}], "]"}], "/", 
       RowBox[{"Sqrt", "[", "normf", "]"}]}]}], ";"}]}], 
   "\[IndentingNewLine]", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.897544109425411*^9, 3.897544243536735*^9}, {
  3.897544927782166*^9, 3.8975449443400297`*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"715409d9-4d69-4fef-9799-fb0b406aa70e"],

Cell["Find coefficients in the basis expansion", "Text",
 CellChangeTimes->{{3.897544244650508*^9, 3.8975442582801867`*^9}, 
   3.897544434862158*^9},ExpressionUUID->"484f4e71-d8a3-430d-88af-\
761e4eaaac77"],

Cell[BoxData[
 RowBox[{
  RowBox[{"coeffg", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"0", ",", 
     RowBox[{"{", 
      RowBox[{"mm", ",", "1", ",", "Nfunctions"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"mm", "=", "1"}], ",", 
    RowBox[{"mm", "<=", " ", "Nfunctions"}], ",", 
    RowBox[{"mm", "=", 
     RowBox[{"mm", "+", "1"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"coeffg", "[", 
      RowBox[{"[", "mm", "]"}], "]"}], "=", 
     RowBox[{"N", "[", 
      RowBox[{"Dot", "[", 
       RowBox[{
        RowBox[{"fdiscretenorm", "[", 
         RowBox[{"[", "mm", "]"}], "]"}], ",", "gdiscrete"}], "]"}], 
      "]"}]}]}], "\[IndentingNewLine]", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.897544272472603*^9, 3.8975442853071947`*^9}, {
  3.897544413253255*^9, 3.89754455028776*^9}, {3.897544822932701*^9, 
  3.897544824865251*^9}, {3.897544974142747*^9, 3.8975449743151007`*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"c6818e70-6c0f-4994-bec0-9cc4b0fe418b"],

Cell["Then find cumulative sums", "Text",
 CellChangeTimes->{
  3.897544549243132*^9},ExpressionUUID->"38528c36-6be6-499f-bf53-\
369c1b1ec92b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"kkmaxmax", ":=", "Nfunctions"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cumsum", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"0", ",", 
     RowBox[{"{", 
      RowBox[{"mm", ",", "1", ",", "kkmaxmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"kkmax", "=", "1"}], ",", 
    RowBox[{"kkmax", "<=", " ", "kkmaxmax"}], ",", 
    RowBox[{"kkmax", "=", 
     RowBox[{"kkmax", "+", "1"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"cumsum", "[", 
      RowBox[{"[", "kkmax", "]"}], "]"}], "=", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"coeffg", "[", 
         RowBox[{"[", "kk", "]"}], "]"}], " ", 
        RowBox[{"fdiscretenorm", "[", 
         RowBox[{"[", "kk", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"kk", ",", "1", ",", "kkmax"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.897544543322935*^9, 3.8975446051483*^9}, {
  3.897544637355569*^9, 3.8975446614242973`*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"da13ba5b-1cc1-4f1b-ada1-8bb866c33047"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"approach", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"cumsum", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ",", 
      RowBox[{"cumsum", "[", 
       RowBox[{"[", "4", "]"}], "]"}], ",", 
      RowBox[{"cumsum", "[", 
       RowBox[{"[", "8", "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"AxesLabel", "->", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<x\>\"", ",", "Bold", ",", "16"}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<f[\!\(\*SubscriptBox[\(x\), \(k\)]\)]\>\"", ",", "Bold", ",", 
         "16"}], "]"}]}], "}"}]}], ",", 
    RowBox[{"PlotMarkers", "->", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", 
       RowBox[{"Scaled", "[", "0.03", "]"}]}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.897544619815198*^9, 3.897544621007506*^9}, {
  3.897544997212916*^9, 3.8975450325162487`*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"d15bfd8c-0c4a-4e0a-9303-4af83ac94cee"],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.011000000000000001`],
      AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
       FormBox[
        StyleBox[
         GraphicsBox[
          {EdgeForm[None], DiskBox[{0, 0}]}],
         StripOnInput->False,
         GraphicsBoxOptions->{DefaultBaseStyle->Directive[
           PointSize[0.011000000000000001`], 
           RGBColor[0.368417, 0.506779, 0.709798], 
           AbsoluteThickness[1.6]]}],
        TraditionalForm], {0., 0.}, Automatic, Scaled[0.03]], CompressedData["

1:eJxTTMoPSmVmYGBQAGJGIGZigIEP9gyowCG50Ux23vrVUHEOh0Y9OeXa3t1Q
voDDmisPNs+rPwLlizjMbvlu/5X1NJQv4WC/j0/g2pILUL6MQ/Z1hgMr5l6G
8hUcFszy+CCXdg3KV3L4VlQrE/P9BpSv4mCj8PQpt/dtKF/Nock8Yl1h9F0o
X8MhdzrL3jLl+1C+lkNyv3hqtP8DKF/HYZpGc+bRJzC+nkOqVBZvZ8BDKN/A
YYrguoVzJsL4hg5vLIq3xi+H8Y3Q5I3R9JugmW+KZr8ZmvvM0dxvgeY/SzT/
W6GFjzVa+Nmgha8tWvjbocWPPVr8OcDjFwCzSIhn
      "]]}, 
    {RGBColor[0.880722, 0.611041, 0.142051], PointSize[0.011000000000000001`],
      AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
       FormBox[
        StyleBox[
         GraphicsBox[
          {EdgeForm[None], PolygonBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}}]}],
         
         StripOnInput->False,
         GraphicsBoxOptions->{DefaultBaseStyle->Directive[
           PointSize[0.011000000000000001`], 
           RGBColor[0.880722, 0.611041, 0.142051], 
           AbsoluteThickness[1.6]]}],
        TraditionalForm], {0., 0.}, Automatic, Scaled[0.03]], CompressedData["

1:eJxTTMoPSmVmYGBQAGJGIGZigIEP9gyowEGQNU1Kf/Pi/RAuh8P/HQ/efju1
EcoXcBDp+H2qV2IblC/isOhhcIdNzFYoX8KhY9r3hEzftVC+jMOBJ0YMazMq
oXwFhwTtm2845m6E2qvkwPSsXDZc+CiUr+IwKfHcrAVrLkL5ag4GUWG10Qk3
oXwNh3OP2ev3THwA5Ws5vFQ3333H7AmUr+Mw7WRW4ObY51C+nkMZ67ovhmde
QvkGDrbP7N/9CnkN5Rs6xB+t/mpyG8Y3QpM3RtNvgma+KZr9ZmjuM0dzvwWa
/yzR/G+FFj7WaOFngxa+tmjhb4cWP/Zo8ecAj18AwxGVCg==
      "]]}, 
    {RGBColor[0.560181, 0.691569, 0.194885], PointSize[0.011000000000000001`],
      AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
       FormBox[
        StyleBox[
         GraphicsBox[
          {EdgeForm[None], PolygonBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}}]}],
         StripOnInput->False,
         GraphicsBoxOptions->{DefaultBaseStyle->Directive[
           PointSize[0.011000000000000001`], 
           RGBColor[0.560181, 0.691569, 0.194885], 
           AbsoluteThickness[1.6]]}],
        TraditionalForm], {0., 0.}, Automatic, Scaled[0.03]], CompressedData["

1:eJxTTMoPSmVmYGBQAGJGIGZigIEP9gyowOGAckLkv+bQ/RAuh8MB0dQMBbsg
KF/AgSHO49tmr0ioPhEHgX0Z9cbMtVC+hMOFP9u2Plg3AcqXcVjF8WPuXNMF
UL6CwxSRbZvO3VsL5Ss5zJnGuZRrxi4oX8Whb3Heul/9x6B8NYc3Kis28H27
COVrOLye4DW9d84tKF/L4d233J3Vvo+gfB2H3ntz799Mfg7l6zmU7pDN3nrx
NZRv4LCnLOdzzY13UL6hw8kyed4Pr99D+UZo8sZo+k3QzDdFs98MzX3maO63
QPOfJZr/rdDCxxot/GzQwtcWLfzt0OLHHi3+HODxCwAzD5Vl
      "]]}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     StyleBox["\"x\"", Bold, 16, StripOnInput -> False], TraditionalForm], 
    FormBox[
     StyleBox[
     "\"f[\\!\\(\\*SubscriptBox[\\(x\\), \\(k\\)]\\)]\"", Bold, 16, 
      StripOnInput -> False], TraditionalForm]},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 32.}, {-0.08631216245296996, 0.9975509887987865}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.8975446215875874`*^9, 3.897544690925736*^9, {3.897544988273081*^9, 
   3.897545033003536*^9}, 3.897545111916444*^9, 3.899783417351852*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"9b93926c-bee4-47f5-a743-bc284625d747"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"comparison", ",", "approach"}], "]"}]], "Input",
 CellChangeTimes->{{3.897545099397654*^9, 3.897545107217922*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"e1c2b9be-6526-4af7-87c6-3ddfdfee3382"],

Cell[BoxData[
 GraphicsBox[{{{}, {{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.012833333333333334`], AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGBQAGIQDQEf7KNC1FQ/6SjYQwUcQuouyRjyWkD5HA7b3uYd
OboqAMoXcFAwm1nA1JEK5Ys4iHcJ8Bi8rYTyJRyWudeIZUr2QvkyDpEMpR9C
C+dB+QoOBfrzdvWvXwvlKzl8D2/pK/y9C8pXcajkcmIVvnMMyldzeMZlcySQ
9xKUr+HwR+FSre3kW1C+lkN32EGDldaPoHwdh7nPJ1SyBz2H8vUckqrnWoee
fQ3lGzik33z3keHpOyjf0AEWDhDaCE3eGE2/CZr5pmj2m6G5zxzN/RZo/rNE
878VWvhYo4WfDVr42qKFvx1a/NijxZ8DPH4ByIaBtA==
        "]]}}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.012833333333333334`], AbsoluteThickness[1.6], 
      GeometricTransformationBox[InsetBox[
        FormBox[
         StyleBox[
          GraphicsBox[
           {EdgeForm[None], DiskBox[{0, 0}]}],
          StripOnInput->False,
          GraphicsBoxOptions->{DefaultBaseStyle->Directive[
            PointSize[0.012833333333333334`], 
            RGBColor[0.368417, 0.506779, 0.709798], 
            AbsoluteThickness[1.6]]}],
         TraditionalForm], {0., 0.}, Automatic, Scaled[0.03]], CompressedData["
1:eJxTTMoPSmVmYGBQAGJGIGZigIEP9lEhaqqfdBTsoQIOIXWXZAx5LaB8Dodt
b/OOHF0VAOULOCiYzSxg6kiF8kUcxLsEeAzeVkL5Eg7L3GvEMiV7oXwZh0iG
0g+hhfOgfAWHAv15u/rXr4XylRy+h7f0Ff7eBeWrOFRyObEK3zkG5as5POOy
ORLIewnK13D4o3Cp1nbyLShfy6E77KDBSutHUL6Ow9znEyrZg55D+XoOSdVz
rUPPvobyDRzSb777yPD0HZRv6AALBwhthCZvjKbfBM18UzT7zdDcZ47mfgs0
/1mi+d8KLXys0cLPBi18bdHC3w4tfuzR4s8BHr8A086Btg==
       
       "]]}}, {{}, {}}}, {{}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], 
      GeometricTransformationBox[InsetBox[
        FormBox[
         StyleBox[
          GraphicsBox[
           {EdgeForm[None], DiskBox[{0, 0}]}],
          StripOnInput->False,
          GraphicsBoxOptions->{DefaultBaseStyle->Directive[
            PointSize[0.011000000000000001`], 
            RGBColor[0.368417, 0.506779, 0.709798], 
            AbsoluteThickness[1.6]]}],
         TraditionalForm], {0., 0.}, Automatic, Scaled[0.03]], CompressedData["
1:eJxTTMoPSmVmYGBQAGJGIGZigIEP9gyowCG50Ux23vrVUHEOh0Y9OeXa3t1Q
voDDmisPNs+rPwLlizjMbvlu/5X1NJQv4WC/j0/g2pILUL6MQ/Z1hgMr5l6G
8hUcFszy+CCXdg3KV3L4VlQrE/P9BpSv4mCj8PQpt/dtKF/Nock8Yl1h9F0o
X8MhdzrL3jLl+1C+lkNyv3hqtP8DKF/HYZpGc+bRJzC+nkOqVBZvZ8BDKN/A
YYrguoVzJsL4hg5vLIq3xi+H8Y3Q5I3R9JugmW+KZr8ZmvvM0dxvgeY/SzT/
W6GFjzVa+Nmgha8tWvjbocWPPVr8OcDjFwCzSIhn
       "]]}, 
     {RGBColor[0.880722, 0.611041, 0.142051], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], 
      GeometricTransformationBox[InsetBox[
        FormBox[
         StyleBox[
          GraphicsBox[
           {EdgeForm[None], PolygonBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}}]}],
          StripOnInput->False,
          GraphicsBoxOptions->{DefaultBaseStyle->Directive[
            PointSize[0.011000000000000001`], 
            RGBColor[0.880722, 0.611041, 0.142051], 
            AbsoluteThickness[1.6]]}],
         TraditionalForm], {0., 0.}, Automatic, Scaled[0.03]], CompressedData["
1:eJxTTMoPSmVmYGBQAGJGIGZigIEP9gyowEGQNU1Kf/Pi/RAuh8P/HQ/efju1
EcoXcBDp+H2qV2IblC/isOhhcIdNzFYoX8KhY9r3hEzftVC+jMOBJ0YMazMq
oXwFhwTtm2845m6E2qvkwPSsXDZc+CiUr+IwKfHcrAVrLkL5ag4GUWG10Qk3
oXwNh3OP2ev3THwA5Ws5vFQ3333H7AmUr+Mw7WRW4ObY51C+nkMZ67ovhmde
QvkGDrbP7N/9CnkN5Rs6xB+t/mpyG8Y3QpM3RtNvgma+KZr9ZmjuM0dzvwWa
/yzR/G+FFj7WaOFngxa+tmjhb4cWP/Zo8ecAj18AwxGVCg==
       "]]}, 
     {RGBColor[0.560181, 0.691569, 0.194885], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], 
      GeometricTransformationBox[InsetBox[
        FormBox[
         StyleBox[
          GraphicsBox[
           {EdgeForm[None], PolygonBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}}]}],
          StripOnInput->False,
          GraphicsBoxOptions->{DefaultBaseStyle->Directive[
            PointSize[0.011000000000000001`], 
            RGBColor[0.560181, 0.691569, 0.194885], 
            AbsoluteThickness[1.6]]}],
         TraditionalForm], {0., 0.}, Automatic, Scaled[0.03]], CompressedData["
1:eJxTTMoPSmVmYGBQAGJGIGZigIEP9gyowOGAckLkv+bQ/RAuh8MB0dQMBbsg
KF/AgSHO49tmr0ioPhEHgX0Z9cbMtVC+hMOFP9u2Plg3AcqXcVjF8WPuXNMF
UL6CwxSRbZvO3VsL5Ss5zJnGuZRrxi4oX8Whb3Heul/9x6B8NYc3Kis28H27
COVrOLye4DW9d84tKF/L4d233J3Vvo+gfB2H3ntz799Mfg7l6zmU7pDN3nrx
NZRv4LCnLOdzzY13UL6hw8kyed4Pr99D+UZo8sZo+k3QzDdFs98MzX3maO63
QPOfJZr/rdDCxxot/GzQwtcWLfzt0OLHHi3+HODxCwAzD5Vl
       "]]}}, {{}, {}}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     StyleBox["\"x\"", Bold, 16, StripOnInput -> False], TraditionalForm], 
    FormBox[
     StyleBox[
     "\"f[\\!\\(\\*SubscriptBox[\\(x\\), \\(k\\)]\\)]\"", Bold, 16, 
      StripOnInput -> False], TraditionalForm]},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 32.}, {0, 1.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.897545107538025*^9, 3.897545136586187*^9}, 
   3.899783417366584*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"e9e59601-564c-4166-b6a7-e7e009cefbf4"]
}, Open  ]],

Cell["\<\
We see that the basis expansion approaches the real function quite rapidly, \
and only relatively few basis functions (here 8 are needed). If we had taken \
a narrower Gaussian, we would have needed a larger number of basis functions.\
\
\>", "Text",
 CellChangeTimes->{{3.897545150602872*^9, 3.897545156762116*^9}, {
  3.9017022727682953`*^9, 
  3.901702311568207*^9}},ExpressionUUID->"ed061f46-dad1-4f6a-aebb-\
2ce032147b85"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Part (c) Solution:", "Subsubsection",
 CellChangeTimes->{{3.897543431949048*^9, 3.89754344996665*^9}, {
  3.897545167891011*^9, 
  3.897545169686634*^9}},ExpressionUUID->"7afd4990-2b50-445a-986d-\
6f4890de40fd"],

Cell["\<\
We can start with the matrix that was proposed in the lecture for a (crude) \
first derivative in Eq. (1.22)\
\>", "Text",
 CellChangeTimes->{{3.897542856576754*^9, 3.8975428683700647`*^9}, {
  3.8975452723432703`*^9, 3.8975452923849792`*^9}, {3.8975455040548477`*^9, 
  3.897545507093953*^9}},ExpressionUUID->"9f5b4a30-60ba-4eff-a75c-\
6fdded7e9d93"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Dxmatrix", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"0", ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"mm", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"nn", "=", "1"}], ",", 
    RowBox[{"nn", "<", " ", "Npts"}], ",", 
    RowBox[{"nn", "=", 
     RowBox[{"nn", "+", "1"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"Dxmatrix", "[", 
       RowBox[{"[", 
        RowBox[{"nn", ",", 
         RowBox[{"nn", "+", "1"}]}], "]"}], "]"}], "=", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{"2", " ", "dx"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Dxmatrix", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"nn", "+", "1"}], ",", "nn"}], "]"}], "]"}], "=", 
      RowBox[{
       RowBox[{"-", "1"}], "/", 
       RowBox[{"(", 
        RowBox[{"2", " ", "dx"}], ")"}]}]}], ";"}]}], "\[IndentingNewLine]", 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Dxmatrix", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.897545300397456*^9, 3.8975453368116693`*^9}, {
  3.897545389574959*^9, 3.897545468514539*^9}, {3.8975455097210293`*^9, 
  3.897545521091728*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"189758fc-ad66-4368-9727-a0cbfd81925b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "16", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0"},
     {
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0"},
     {"0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {"0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0"},
     {"0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0"},
     {"0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0"},
     {"0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0"},
     {"0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0", 
      "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "16"}], "0", "16", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", 
      RowBox[{"-", "16"}], "0", "16"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", 
      RowBox[{"-", "16"}], "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.897545430536416*^9, 3.8975455219952*^9, 
  3.8997834173846617`*^9},
 CellLabel->
  "Out[30]//MatrixForm=",ExpressionUUID->"3266156c-39cc-4397-bd91-\
1c8ebaa22a4a"]
}, Open  ]],

Cell[" Let us pick a function for testing", "Text",
 CellChangeTimes->{{3.897542856576754*^9, 3.8975428683700647`*^9}, {
  3.8975452723432703`*^9, 3.8975452923849792`*^9}, {3.8975455040548477`*^9, 
  3.897545507093953*^9}, {3.8975455429524508`*^9, 
  3.897545550326723*^9}},ExpressionUUID->"2bb4494a-8f9b-4097-9ac9-\
415944a42a53"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"mmtest", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"thirdderivativef", "=", " ", 
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"x", ",", "mmtest"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "3"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.897545535437663*^9, 3.897545593175517*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"e50abe9c-35f7-4b94-9a96-ad6db67e62b0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "27"}], " ", 
  SqrtBox["2"], " ", 
  SuperscriptBox["\[Pi]", "3"], " ", 
  RowBox[{"Cos", "[", 
   RowBox[{"3", " ", "\[Pi]", " ", "x"}], "]"}]}]], "Output",
 CellChangeTimes->{3.897545593528563*^9, 3.8997834173994226`*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"ba2cfa89-1202-46be-8e76-34a03b1572d6"]
}, Open  ]],

Cell["\<\
Since we know that the third derivative is the same as three consecutive \
first derivatives, we should be able to use this\
\>", "Text",
 CellChangeTimes->{{3.897545617406516*^9, 
  3.8975456446082907`*^9}},ExpressionUUID->"14ce613b-dcac-4bb9-9ea6-\
cf2f55603432"],

Cell[BoxData[
 RowBox[{
  RowBox[{"D3operator", "=", 
   RowBox[{"Dxmatrix", ".", "Dxmatrix", ".", "Dxmatrix"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.897545646672648*^9, 3.897545655162068*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"393c5489-8fc4-404f-a08f-b52dc40e6f2e"],

Cell["Let' s see if this works", "Text",
 CellChangeTimes->{{3.89754566353892*^9, 
  3.8975456728423767`*^9}},ExpressionUUID->"2a96b0b2-e4cd-44cc-846d-\
a8ab0c750208"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"derivdiscrete", "=", 
   RowBox[{"D3operator", ".", 
    RowBox[{"fdiscrete", "[", 
     RowBox[{"[", "mmtest", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"derivdiscretewithaxis", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"nn", " ", "dx"}], ",", 
       RowBox[{"derivdiscrete", "[", 
        RowBox[{"[", "nn", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.897545679215768*^9, 3.897545706657797*^9}, {
  3.897545747004489*^9, 3.8975457737090397`*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"9423cbdd-e654-4c9b-b3c1-13566431c5b8"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"discplot", "=", 
   RowBox[{"ListPlot", "[", "derivdiscretewithaxis", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"contplot", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{"thirdderivativef", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "1"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8975457102956953`*^9, 3.897545733443592*^9}, {
  3.897545776567569*^9, 3.897545788641004*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"770e613a-0199-4406-8df1-22a7e8d99c9c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"discplot", ",", "contplot"}], "]"}]], "Input",
 CellChangeTimes->{{3.897545789493791*^9, 3.8975457949411907`*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"5c95a4f4-f6e8-456e-929e-8e419e8dc680"],

Cell[BoxData[
 GraphicsBox[{{{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGBQAGIQDQEL7DnXbl/wOWuiA4S/wf5ENZvAh3MbDkD4O+wN
xXIfsjUsgfIP2J9mV+d8XNEG5R+xP9ktpztTphrKP2GvPPGs3oVj0VD+Gfsp
c0/NmbQkG2r+BfupN0yvHN/UAOVfsrfbFXXTjacTyr9if8BTxrfXth/Kv2Y/
yaxoNVc8zH037M1kHI+GLIDxb9l/nXCgmzV2ApR/x37WQ+GtLxO7ofx79nNq
Dn0QX9cM5T+wX2ZSY3J6QgmU/9CeAQU8gslD3f8Yph/KfwIzH8p/CrMfyn8G
cx+U/xzmfij/Bcx/UP5LmP+h/Few8IHyX8PCD8p/AwtfqPvfwsIfyn8Hix8o
/719kk7p7NaLG6D8D/bHORL2vfk0wQEA0x+gRA==
      "]]}, {{}, {}}}, {{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwtmnk01N8bxyNFKu2FFCEVkm8hpTxXtNkq2beQVMqaJZElS7LNfD6WJKJQ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        "]]},
      Annotation[#, "Charting`Private`Tag$2712#1"]& ]}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 1.}, {-4302.937744527073, 4305.521903346382}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.897545795287551*^9, 3.899783417512645*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"18667ecf-f8ed-4b6d-9225-6416677ffda2"]
}, Open  ]],

Cell["\<\
The comparison shows that the matrix differential operator gets things \
qualitatively right in the centre of the discretised x-space. It is slightly \
shifted compared to the real answer, because we have not bothered to make \
derivatives symmetric. It also miserably fails at the edges, where we would \
have to move to ONE SIDED derivatives (calculate f\[CloseCurlyQuote]_n from \
f_n and f_{n+1})\
\>", "Text",
 CellChangeTimes->{{3.897545874003042*^9, 3.8975458806397533`*^9}, {
  3.9017023259565773`*^9, 
  3.901702411283512*^9}},ExpressionUUID->"7168b80d-c5d7-462e-9413-\
55f501bcd220"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1298, 938},
WindowMargins->{{Automatic, 5}, {Automatic, 37}},
FrontEndVersion->"12.3 for Mac OS X x86 (64-bit) (July 9, 2021)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"19c08408-5097-4db7-85d3-95c087a0e5c3"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 269, 4, 122, "Section",ExpressionUUID->"909aa525-afa3-43bf-8324-389e370d88ac"],
Cell[852, 28, 165, 3, 65, "Text",ExpressionUUID->"6062c6de-f4ef-4bc0-bae3-91810c10ef98"],
Cell[1020, 33, 979, 23, 356, "Input",ExpressionUUID->"a74d62ce-7396-41cf-af32-dfe19fd4ef9e"],
Cell[2002, 58, 1082, 30, 244, "Input",ExpressionUUID->"46e27967-4a0b-47bc-9e14-4afb7f22f828"],
Cell[CellGroupData[{
Cell[3109, 92, 168, 3, 62, "Subsubsection",ExpressionUUID->"5e9a829a-f809-459d-818a-92c79dde3b99"],
Cell[3280, 97, 2069, 57, 356, "Input",ExpressionUUID->"6a566f6c-e5dc-4039-9415-236ee71c8719"],
Cell[5352, 156, 346, 7, 156, "Text",ExpressionUUID->"c08c5813-72c4-463c-9131-ebb1f696881f"],
Cell[CellGroupData[{
Cell[5723, 167, 1383, 31, 260, "Input",ExpressionUUID->"50001295-d4eb-4b7e-887e-ea07edc8a88f"],
Cell[7109, 200, 4255, 101, 317, "Output",ExpressionUUID->"5d7ff8f4-aa22-457f-b321-2a658d70c0a5"]
}, Open  ]],
Cell[11379, 304, 229, 4, 67, "Input",ExpressionUUID->"1eee7f16-e6a2-4853-86a1-432748b73523"],
Cell[11611, 310, 1639, 41, 356, "Input",ExpressionUUID->"73d760dd-4a43-4010-b867-e0e87481d31b"],
Cell[CellGroupData[{
Cell[13275, 355, 246, 4, 67, "Input",ExpressionUUID->"153d0085-f639-4666-8051-fae2a8d60eee"],
Cell[13524, 361, 1668, 39, 394, "Output",ExpressionUUID->"fea4e69d-4248-4dca-a01b-dfccb110294f"]
}, Open  ]],
Cell[15207, 403, 861, 17, 292, "Text",ExpressionUUID->"945221ad-6d7c-45f7-b043-b927d4185965"],
Cell[CellGroupData[{
Cell[16093, 424, 174, 2, 67, "Input",ExpressionUUID->"07a048ad-fdb8-467d-8b2f-9f3112cf5eb1"],
Cell[16270, 428, 243, 4, 88, "Output",ExpressionUUID->"15b32f9e-51f0-4553-8725-57cb69407232"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16550, 437, 875, 22, 164, "Input",ExpressionUUID->"76325827-068c-44de-936d-d7a058de5cd9"],
Cell[17428, 461, 2371, 59, 318, "Output",ExpressionUUID->"08707dc9-3cb5-424e-a0d9-8a2c6222f3bc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19836, 525, 828, 21, 164, "Input",ExpressionUUID->"66bd76ad-ecce-4aa9-8512-e009cf06e811"],
Cell[20667, 548, 2034, 55, 316, "Output",ExpressionUUID->"3663c11c-683a-4987-8510-31cc7766934d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22738, 608, 826, 21, 164, "Input",ExpressionUUID->"04317d50-e63e-4597-9214-47af544942c1"],
Cell[23567, 631, 2271, 58, 318, "Output",ExpressionUUID->"8ea732f2-7f74-40cc-8c3b-9dd1efc4960f"]
}, Open  ]],
Cell[25853, 692, 548, 10, 156, "Text",ExpressionUUID->"38b1a126-d0fc-42c9-87c2-1b8563ca8e17"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26438, 707, 168, 3, 62, "Subsubsection",ExpressionUUID->"dac1638b-db04-4f5e-9676-c24b980ad6a9"],
Cell[26609, 712, 831, 23, 116, "Input",ExpressionUUID->"f3d9ae62-eced-4c13-b68d-8a252e76013b"],
Cell[CellGroupData[{
Cell[27465, 739, 862, 20, 164, "Input",ExpressionUUID->"65be8610-38f3-467c-b6fa-cb51e1e91195"],
Cell[28330, 761, 2983, 72, 333, "Output",ExpressionUUID->"adc4d91d-809a-4b33-855a-0a90776c5ef2"]
}, Open  ]],
Cell[31328, 836, 1382, 38, 322, "Input",ExpressionUUID->"715409d9-4d69-4fef-9799-fb0b406aa70e"],
Cell[32713, 876, 207, 3, 65, "Text",ExpressionUUID->"484f4e71-d8a3-430d-88af-761e4eaaac77"],
Cell[32923, 881, 1019, 25, 212, "Input",ExpressionUUID->"c6818e70-6c0f-4994-bec0-9cc4b0fe418b"],
Cell[33945, 908, 143, 3, 65, "Text",ExpressionUUID->"38528c36-6be6-499f-bf53-369c1b1ec92b"],
Cell[34091, 913, 1183, 32, 308, "Input",ExpressionUUID->"da13ba5b-1cc1-4f1b-ada1-8bb866c33047"],
Cell[CellGroupData[{
Cell[35299, 949, 1033, 27, 164, "Input",ExpressionUUID->"d15bfd8c-0c4a-4e0a-9303-4af83ac94cee"],
Cell[36335, 978, 4319, 102, 320, "Output",ExpressionUUID->"9b93926c-bee4-47f5-a743-bc284625d747"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40691, 1085, 241, 4, 67, "Input",ExpressionUUID->"e1c2b9be-6526-4af7-87c6-3ddfdfee3382"],
Cell[40935, 1091, 5744, 130, 333, "Output",ExpressionUUID->"e9e59601-564c-4166-b6a7-e7e009cefbf4"]
}, Open  ]],
Cell[46694, 1224, 437, 9, 156, "Text",ExpressionUUID->"ed061f46-dad1-4f6a-aebb-2ce032147b85"]
}, Open  ]],
Cell[CellGroupData[{
Cell[47168, 1238, 217, 4, 62, "Subsubsection",ExpressionUUID->"7afd4990-2b50-445a-986d-6f4890de40fd"],
Cell[47388, 1244, 361, 7, 111, "Text",ExpressionUUID->"9f5b4a30-60ba-4eff-a75c-6fdded7e9d93"],
Cell[CellGroupData[{
Cell[47774, 1255, 1431, 40, 308, "Input",ExpressionUUID->"189758fc-ad66-4368-9727-a0cbfd81925b"],
Cell[49208, 1297, 7064, 130, 1324, "Output",ExpressionUUID->"3266156c-39cc-4397-bd91-1c8ebaa22a4a"]
}, Open  ]],
Cell[56287, 1430, 331, 5, 65, "Text",ExpressionUUID->"2bb4494a-8f9b-4097-9ac9-415944a42a53"],
Cell[CellGroupData[{
Cell[56643, 1439, 453, 11, 116, "Input",ExpressionUUID->"e50abe9c-35f7-4b94-9a96-ad6db67e62b0"],
Cell[57099, 1452, 342, 8, 67, "Output",ExpressionUUID->"ba2cfa89-1202-46be-8e76-34a03b1572d6"]
}, Open  ]],
Cell[57456, 1463, 275, 6, 111, "Text",ExpressionUUID->"14ce613b-dcac-4bb9-9ea6-cf2f55603432"],
Cell[57734, 1471, 276, 5, 67, "Input",ExpressionUUID->"393c5489-8fc4-404f-a08f-b52dc40e6f2e"],
Cell[58013, 1478, 167, 3, 65, "Text",ExpressionUUID->"2a96b0b2-e4cd-44cc-846d-a8ab0c750208"],
Cell[58183, 1483, 753, 20, 164, "Input",ExpressionUUID->"9423cbdd-e654-4c9b-b3c1-13566431c5b8"],
Cell[58939, 1505, 541, 13, 116, "Input",ExpressionUUID->"770e613a-0199-4406-8df1-22a7e8d99c9c"],
Cell[CellGroupData[{
Cell[59505, 1522, 241, 4, 67, "Input",ExpressionUUID->"5c95a4f4-f6e8-456e-929e-8e419e8dc680"],
Cell[59749, 1528, 13382, 236, 289, "Output",ExpressionUUID->"18667ecf-f8ed-4b6d-9225-6416677ffda2"]
}, Open  ]],
Cell[73146, 1767, 603, 11, 246, "Text",ExpressionUUID->"7168b80d-c5d7-462e-9413-55f501bcd220"]
}, Open  ]]
}, Open  ]]
}
]
*)

